package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools/app"

	"github.com/gin-gonic/gin"
)

func AdminAmountList(c *gin.Context) {
	var inData user.AdminAmountListRequest
	var adminTrans mysql.AdminTransRecords

	var pageSize = 10
	var pageIndex = 1

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	if inData.PageSize != 0 {
		pageSize = inData.PageSize
	}
	if inData.PageIndex != 0 {
		pageIndex = inData.PageIndex
	}

	transVal, count, err := adminTrans.GetTransList(pageSize, pageIndex)
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}

	app.PageOK(c, transVal, count, pageIndex, pageSize, app.Success)

}
