package user

import "github.com/gin-gonic/gin"

func InitUserRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/user/open.id/set", OpenIdSet)  //设置openId
		v1.POST("/user/pid/get", PidGet)         //获取pid
		v1.POST("/user/wallet/get", WalletGet)   //用户钱包信息
		v1.POST("/user/order/list", OrderGet)    //获取订单列表
		v1.POST("/user/open.id/get", OpenIdGet)  //根据openId获取信息
		v1.POST("/user/update/name", UpdateName) //更新名字
		v1.POST("/user/list", UserList)          //用户列表
		v1.POST("/admin/data", AdminOrderAmount)
		v1.POST("/user/trans/create", TransCreate) //审请提现
		v1.POST("/user/trans/update", TransUpdate) //提现审批
		v1.POST("/user/trans/list", TransList)     //提现列表
		v1.POST("/user/trans/get", TransGet)       //查询用户可提现金额，审核中金额，已体现金额
		v1.POST("/user/user/pay", UpdatePay)       //更新用户收款账号
		v1.POST("/admin/amount", AdminAmount)
		v1.POST("/admin/amount/list", AdminAmountList) //管理员list
	}
}
