package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools/app"

	"github.com/gin-gonic/gin"
)

func TransGet(c *gin.Context) {
	var inData user.TransGetInput
	var outData user.TransGetOutput
	var trans mysql.TransRecords
	var pid mysql.Pid
	var wallet mysql.Wallet

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	pid.OpenID = inData.OpenId
	pid.PidStatus = inData.PidStatus
	pidInfo, err := pid.Get()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	wallet.OpenID = inData.OpenId
	wallet.Pid = pidInfo.Pid

	//可用余额
	walletInfo, err := wallet.GetWallet()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	//审核中金额
	trans.OpenID = inData.OpenId
	trans.Pid = pidInfo.Pid
	trans.PidStatus = inData.PidStatus
	trans.TransStatus = 1 //审核中金额
	transInfo, err := trans.GetTransSum()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	outData.Wallet = walletInfo
	outData.ReviewAmount = transInfo.Amount
	trans.PidStatus = inData.PidStatus
	trans.TransStatus = 3 //审核成功
	transInfo, err = trans.GetTransSum()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	outData.CompletedAmount = transInfo.Amount
	app.OK(c, outData, app.Success)
}
