package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools"
	"duoduo/tools/app"

	"github.com/gin-gonic/gin"
)

func TransList(c *gin.Context) {
	var inData user.TransListInput
	var trans mysql.TransRecords

	var pageSize = 10
	var pageIndex = 1

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	if inData.PageSize != 0 {
		pageSize = inData.PageSize
	}
	if inData.PageIndex != 0 {
		pageIndex = inData.PageIndex
	}

	trans.PidStatus = inData.PidStatus
	trans.OpenID = inData.OpenId
	transVal, count, err := trans.GetTransList(pageSize, pageIndex)
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}
	for i := 0; i < len(transVal); i++ {
		var userVal mysql.User
		userVal.OpenID = transVal[i].OpenID
		userInfo, _ := userVal.Get()
		transVal[i].CreateTime = tools.GetTimestamp(transVal[i].CreateTime)
		if userInfo.WxPay != "" {
			transVal[i].Pay = userInfo.WxPay
			transVal[i].PayName = "微信支付"
		} else if userInfo.AliPay != "" {
			transVal[i].Pay = userInfo.AliPay
			transVal[i].PayName = "支付宝"
		}
		transVal[i].UserId = userInfo.Id
	}
	app.PageOK(c, transVal, count, pageIndex, pageSize, app.Success)

}
