package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools/app"

	"github.com/gin-gonic/gin"
)

func UpdatePay(c *gin.Context) {
	var inData user.UpdatePayInput
	var userData mysql.User

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	userData.OpenID = inData.OpenId
	userData.WxPay = inData.WxPay
	userData.AliPay = inData.AliPay

	_, err = userData.UpdatePay()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	app.OK(c, nil, app.Success)
}
